Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.ax25
Enum MsgEventType

    java.lang.Object
      java.lang.Enum<MsgEventType>
          org.ka2ddo.yaac.ax25.MsgEventType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MsgEventType>

    public enum MsgEventType

extends java.lang.Enum<MsgEventType>

Enumeration of event types that can request appropriate sound effects.

Enum Constant Summary
`ALARM` Generic alarm not associated with any particular message or precedence.
`BEL` Terminal session received an ASCII/Unicode BEL control character.
`CRITICAL_ERROR` Critical error message that the user should be informed about.
`DX_BAND_OPENING` A DX band opening report has been received.
`EMERGENCY` Message reporting emergency precedence.
`GPS_LOCK_ACQUIRED` GPS lock has been acquired.
`GPS_LOCK_LOST` GPS lock has been lost.
`INTERNET_LOST` Internet connection has been lost.
`INTERNET_RESTORED` Internet connection has been restored.
`MESSAGE_CQ` Text message calling CQ.
`MESSAGE_TO` Text message received addressed explicitly to this station.
`MESSAGE_WEATHER_WARN` Message from a government weather office warning of severe weather.
`NEW_BULLETIN` A new bulletin message has been received.
`NEW_IN_RANGE` A station has sent a position report indicating it is newly within defined maximum range.
`NEW_OBJECT` New object added to local knowledge base.
`NEW_OBJECT_IN_RANGE` An object has sent a position report indicating it is newly within defined maximum range.
`NEW_STATION` New station added to local knowledge base.
`OBJ_TAKEOVER` Someone else took over one of our Objects/Items.
`OBJECT_OUT_OF_RANGE` Known object moved out of defined maximum range.
`PRIORITY` Message reporting priority precedence.
`SPECIAL` Message reporting special precedence.
`STATION_OUT_OF_RANGE` Known station moved out of defined maximum range.

Method Summary
`static MsgEventType[]` | `nonClonedValues()` Get the original array of enumerations (not a copy).
`static MsgEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MsgEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MESSAGE_TO

    public static final MsgEventType MESSAGE_TO

  Text message received addressed explicitly to this station. Parameter is MessageMessage.

### MESSAGE_CQ

    public static final MsgEventType MESSAGE_CQ

  Text message calling CQ. Parameter is MessageMessage.

### MESSAGE_WEATHER_WARN

    public static final MsgEventType MESSAGE_WEATHER_WARN

  Message from a government weather office warning of severe weather. Parameter is MessageMessage.

### EMERGENCY

    public static final MsgEventType EMERGENCY

  Message reporting emergency precedence. Parameter is AX25Message specifying the precedence.

### PRIORITY

    public static final MsgEventType PRIORITY

  Message reporting priority precedence. Parameter is AX25Message specifying the precedence.

### SPECIAL

    public static final MsgEventType SPECIAL

  Message reporting special precedence. Parameter is AX25Message specifying the precedence.

### ALARM

    public static final MsgEventType ALARM

  Generic alarm not associated with any particular message or precedence. Parameter is text String.

### NEW_IN_RANGE

    public static final MsgEventType NEW_IN_RANGE

  A station has sent a position report indicating it is newly within defined maximum range. Parameter is StationState of station.

### NEW_OBJECT_IN_RANGE

    public static final MsgEventType NEW_OBJECT_IN_RANGE

  An object has sent a position report indicating it is newly within defined maximum range. Parameter is StationState of object.

### DX_BAND_OPENING

    public static final MsgEventType DX_BAND_OPENING

  A DX band opening report has been received. Parameter is DXReport record.

### BEL

    public static final MsgEventType BEL

  Terminal session received an ASCII/Unicode BEL control character. No parameter.

### OBJ_TAKEOVER

    public static final MsgEventType OBJ_TAKEOVER

  Someone else took over one of our Objects/Items. Parameter is ObjectReport of the takeover.

### NEW_STATION

    public static final MsgEventType NEW_STATION

  New station added to local knowledge base. Parameter is StationState of the new station.

### NEW_OBJECT

    public static final MsgEventType NEW_OBJECT

  New object added to local knowledge base. Parameter is StationState of the new Object.

### STATION_OUT_OF_RANGE

    public static final MsgEventType STATION_OUT_OF_RANGE

  Known station moved out of defined maximum range. Parameter is StationState of the moved station.

### INTERNET_LOST

    public static final MsgEventType INTERNET_LOST

  Internet connection has been lost. Parameter is String hostname of network server.

### INTERNET_RESTORED

    public static final MsgEventType INTERNET_RESTORED

  Internet connection has been restored. Parameter is String hostname of network server.

### GPS_LOCK_LOST

    public static final MsgEventType GPS_LOCK_LOST

  GPS lock has been lost. Parameter is GpsFix object containing latest GPS report.

### GPS_LOCK_ACQUIRED

    public static final MsgEventType GPS_LOCK_ACQUIRED

  GPS lock has been acquired. Parameter is GpsFix object containing latest GPS report.

### NEW_BULLETIN

    public static final MsgEventType NEW_BULLETIN

  A new bulletin message has been received. Parameter is MessageMessage containing new bulletin line.

### OBJECT_OUT_OF_RANGE

    public static final MsgEventType OBJECT_OUT_OF_RANGE

  Known object moved out of defined maximum range. Parameter is StationState of the moved object.

### CRITICAL_ERROR

    public static final MsgEventType CRITICAL_ERROR

  Critical error message that the user should be informed about. Parameter is String of error message.

Method Detail

### values

    public static MsgEventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MsgEventType c : MsgEventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MsgEventType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### nonClonedValues

    public static MsgEventType[] nonClonedValues()

  Get the original array of enumerations (not a copy). Caller is required to not modify the array.

  Returns:
    singleton array of enumerations

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD